﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.EJ2.Base;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public static List<Orders> order = new List<Orders>();
       
        public IActionResult Index()
        {
            if(order.Count == 0)
                BindDataSource();
            
            ViewBag.dataSource = order;
            

            return View();
        }
        public IActionResult About()
        {
           
            return View();
        }

        
        public static List<Orders> BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "1991" + i.ToString(), i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin", true));
                order.Add(new Orders(code + 2, "1990" + i.ToString(), i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid", false));
                order.Add(new Orders(code + 3, "1957" + i.ToString(), i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester", true));
                order.Add(new Orders(code + 4, "1930" + i.ToString(), i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille", false));
                order.Add(new Orders(code + 5, "1953" + i.ToString(), i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen", true));
                code += 5;
            }
            return order;

        }
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity, Boolean Verified)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
                this.Verified = Verified;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
            public Boolean Verified { get; set; }
        }

        
       
    }
}
